Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neo4j.server.configuration
Class ConfigurationProvider

    java.lang.Object
      com.sun.jersey.server.impl.inject.AbstractHttpContextInjectable<E>
          org.neo4j.server.database.AbstractInjectableProvider<org.apache.commons.configuration.Configuration>
              org.neo4j.server.configuration.ConfigurationProvider

All Implemented Interfaces:
  com.sun.jersey.spi.inject.Injectable<org.apache.commons.configuration.Configuration>, com.sun.jersey.spi.inject.InjectableProvider<javax.ws.rs.core.Context,Class<org.apache.commons.configuration.Configuration>>

    @Provider
    public class ConfigurationProvider

extends AbstractInjectableProvider<org.apache.commons.configuration.Configuration>

Constructor Summary
`ConfigurationProvider(org.apache.commons.configuration.Configuration config)`

Method Summary
`org.apache.commons.configuration.Configuration` | `getValue(com.sun.jersey.api.core.HttpContext httpContext)`

Methods inherited from class org.neo4j.server.database.AbstractInjectableProvider
`getInjectable, getInjectable, getScope`

Methods inherited from class com.sun.jersey.server.impl.inject.AbstractHttpContextInjectable
`getValue, transform, transform`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConfigurationProvider

    public ConfigurationProvider(org.apache.commons.configuration.Configuration config)

Method Detail

### getValue

    public org.apache.commons.configuration.Configuration getValue(com.sun.jersey.api.core.HttpContext httpContext)

  Specified by:
    `getValue` in class `com.sun.jersey.server.impl.inject.AbstractHttpContextInjectable<org.apache.commons.configuration.Configuration>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 The Neo4j Graph Database Project. All Rights Reserved.